summaryrefslogtreecommitdiffstats
path: root/ci/install.sh
diff options
context:
space:
mode:
authorSebastian Thiel <sebastian.thiel@icloud.com>2020-02-01 13:54:48 +0800
committerSebastian Thiel <sebastian.thiel@icloud.com>2020-02-01 13:54:48 +0800
commit421072f09738756c1796809accf3d5e1890f807c (patch)
tree97b5ec50ae776e546f1f21469ae867ba4b520b16 /ci/install.sh
parentd871bc044028edf6e1cdb4cdcb1c59176648c129 (diff)
Add travis support including releases
Diffstat (limited to 'ci/install.sh')
-rw-r--r--ci/install.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/ci/install.sh b/ci/install.sh
new file mode 100644
index 0000000..748ad9a
--- /dev/null
+++ b/ci/install.sh
@@ -0,0 +1,27 @@
+set -ex
+
+main() {
+ local target=
+ if [ $TRAVIS_OS_NAME = linux ]; then
+ target=x86_64-unknown-linux-musl
+ sort=sort
+ else
+ target=x86_64-apple-darwin
+ sort=gsort # for `sort --sort-version`, from brew's coreutils.
+ fi
+
+ # This fetches latest stable release
+ local tag=$(git ls-remote --tags --refs --exit-code https://github.com/japaric/cross \
+ | cut -d/ -f3 \
+ | grep -E '^v[0.1.0-9.]+$' \
+ | $sort --version-sort \
+ | tail -n1)
+ curl -LSfs https://japaric.github.io/trust/install.sh | \
+ sh -s -- \
+ --force \
+ --git japaric/cross \
+ --tag $tag \
+ --target $target
+}
+
+main